
/**
 *  This module exists to test the ddoc generator.
 *
 *  It consists largely of comments, and compiles to
 *  a program that does nothing.
 *
 * Authors: Markus Dangl, danglm@in.tum.de
 * Bugs: None known.
 * Date: September 26, 2005
 * License: No license...
 * Copyright: Public Domain
 * Standards: XML
 * Version: 0.1
 * History:
 *      0.1 initial version
 *      0.2 added much more docs
 *      0.3 added a class
 */

module example;

/**
 * Brief summary of foo1()
 *
 * This is a function that does just nothing.
 * By the way, this is the first part of our description.
 *
 * And this is the second part.
 *
 * Examples:
 * ----------------
 * foo1(); // Will do nothing
 *
 * foo1(); foo1(); // Will do nothing twice
 * ----------------
 */
void foo1()
{
}

/**
 * This function does nothing, too.
 *
 * Deprecated: superseded by function foo1().
 * Returns:    nothing, cause it is void.
 * See_Also:   foo1, http://www.quit-clan.de/docwiki/
 * Throws:     Hmm, don't think it throws anything.
 */
deprecated void foo2()
{
}

/**
 * This function does nothing with three parameters.
 *
 * Params:
 *      a = Some int value.
 *      b = You may pass any char
 *          but it will never be used
 *          anyways.
 *      c = A double value
 */
void foo3(int a, char b, double c)
{
}

/**
 * This variable can hold a bit (zero or one).
 *
 * But sadly it's never assigned.
 */
bit moo;

/**
 * This class is useless too.
 */
class useless
{
    /**
     * Short summary of xyz.
     *
     * Details of xyz - Details of xyz - Details of xyz - Details of xyz - Details of xyz -
     * Details of xyz - Details of xyz - Details of xyz - Details of xyz - Details of xyz -
     * Details of xyz - Details of xyz - Details of xyz - Details of xyz - Details of xyz -
     * Details of xyz - Details of xyz - Details of xyz - Details of xyz - Details of xyz -
     * Details of xyz - Details of xyz - Details of xyz - Details of xyz - Details of xyz -
     */
    bit xyz;

    /**
     * This is the constructor.
     */
    this()
    {
    }

    /**
     * This is the destructor.
     */
    ~this()
    {
    }

    /**
     * This is some method.
     */
    void someMethod(int a)
    {
    }
}

/**
 * This is the main function.
 *
 * It just calls foo1.
 */
int main(char[][] args)
{
    foo1();
}
